package lc.mecha.nls;

import lc.mecha.log.MechaLogger;
import lc.mecha.log.MechaLoggerFactory;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

public class NlsMessageTest {
    private static final MechaLogger logger = MechaLoggerFactory.getLogger(NlsMessageTest.class);

    @Test
    public void testNlsMessage() {
        NlsMessage msg = new NlsMessage("TST", 100, "Test [cnt: %d]");
        String txt = msg.format(new Object[]{10});
        assertEquals("TST-00100: Test [cnt: 10]", txt);
    }
}
